---
title: 'Element: gestureend event'
slug: Web/API/Element/gestureend_event
tags:
  - Event
  - Non-standard
  - Reference
---
<div>{{APIRef}}</div>

<div>{{Non-standard_header}}</div>

<p>The <strong><code>gestureend</code></strong> event is fired when there are no longer multiple fingers contacting the touch surface, thus ending the gesture.</p>

<p>It is a proprietary event specific to WebKit.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Unknown</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Unknown</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("GestureEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>Unknown</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.gestureend_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events:
  <ul>
   <li><code><a href="/en-US/docs/Web/API/Element/MSGestureStart_event">MSGestureStart</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/MSGestureEnd_event">MSGestureEnd</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/MSGestureTap_event">MSGestureTap</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/MSGestureChange_event">MSGestureChange</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/MSGestureHold_event">MSGestureHold</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/MSInertiaStart_event">MSInertiaStart</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/gesturestart_event">gesturestart</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/gesturechange_event">gesturechange</a></code></li>
  </ul>
 </li>
 <li><a class="external" href="https://developer.apple.com/library/iad/documentation/UserExperience/Reference/GestureEventClassReference/index.html">GestureEventClassReference at the Safari Developer Library</a></li>
</ul>
